//--------------------------------------------------------------------
//	
//	ToolTipDemo.h
//
//  Written by Robert Polic
//
//--------------------------------------------------------------------

#ifndef TOOL_TIP_DEMO_H
#define TOOL_TIP_DEMO_H

#include <Application.h>
#include <View.h>
#include <Window.h>

#include "TToolTipControls.h"
#include "TToolTip.h"


//====================================================================

class ToolTipDemoApp : public BApplication 
{
public:
						ToolTipDemoApp();
	void				MessageReceived(BMessage*);

private:
	BWindow				*fPrefWindow;
	TToolTip			*fToolTip;
};


//====================================================================

class ToolTipDemoWindow : public BWindow
{
public:
						ToolTipDemoWindow(BRect);
	bool				QuitRequested();
};


//====================================================================

class ToolTipPrefsWindow : public BWindow
{
public:
						ToolTipPrefsWindow(BRect,
										   tool_tip_settings*);
						~ToolTipPrefsWindow();
	void				MessageReceived(BMessage*);

private:
	void				SetDelayLabel(int32);
	void				SetFontSizeLabel(float);
	void				SetHoldLabel(int32);

	TToolTipSlider		*fDelay;
	TToolTipSlider		*fFontSize;
	TToolTipSlider		*fHold;
	tool_tip_settings	fOriginalSettings;
	tool_tip_settings	fCurrentSettings;
};
#endif
